diff --git a/doc/src/sgml/ecpg.sgml b/doc/src/sgml/ecpg.sgml
index 3245064..e45ca77 100644
--- a/doc/src/sgml/ecpg.sgml
+++ b/doc/src/sgml/ecpg.sgml
@@ -4794,11 +4794,31 @@ struct
 
     <variablelist>
      <varlistentry>
+      <term>0 (<symbol>ECPG_NO_ERROR</symbol>)</term>
+      <listitem>
+       <para>
+        Indicates no error. (SQLSTATE 00000)
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term>100 (<symbol>ECPG_NOT_FOUND</symbol>)</term>
+     <listitem>
+      <para>
+       This is a harmless condition indicating that the last command
+       retrieved or processed zero rows, or that you are at the end of
+       the cursor.  (SQLSTATE 02000)
+      </para>
+     </listitem>
+    </varlistentry>
+
+     <varlistentry>
       <term>-12 (<symbol>ECPG_OUT_OF_MEMORY</symbol>)</term>
       <listitem>
        <para>
-        Indicates that your virtual memory is exhausted. (SQLSTATE
-        YE001)
+        Indicates that your virtual memory is exhausted, defined as <literal>-ENOMEM</literal>.
+        (SQLSTATE YE001)
       </para>
      </listitem>
     </varlistentry>
@@ -4886,6 +4906,54 @@ struct
     </varlistentry>
 
     <varlistentry>
+     <term>-207 (<symbol>ECPG_NUMERIC_FORMAT</symbol>)</term>
+     <listitem>
+      <para>
+       The host variable is of type <type>numeric</type> and the datum
+       in the database is of another type and contains a value that
+       cannot be interpreted as a <type>numeric</type>.
+       (SQLSTATE 42804)
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term>-208 (<symbol>ECPG_INTERVAL_FORMAT</symbol>)</term>
+     <listitem>
+      <para>
+       The host variable is of type <type>interval</type> and the datum
+       in the database is of another type and contains a value that
+       cannot be interpreted as a <type>interval</type>.
+       (SQLSTATE 42804)
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term>-209 (<symbol>ECPG_DATE_FORMAT</symbol>)</term>
+     <listitem>
+      <para>
+       The host variable is of type <type>date</type> and the datum in
+       the database is of another type and contains a value that
+       cannot be interpreted as a <type>date</type>.
+       (SQLSTATE 42804)
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term>-210 (<symbol>ECPG_TIMESTAMP_FORMAT</symbol>)</term>
+     <listitem>
+      <para>
+       The host variable is of type <type>timestamp</type> and the
+       datum in the database is of another type and contains a value
+       that cannot be interpreted as a <type>timestamp</type>.
+       (SQLSTATE 42804)
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
      <term>-211 (<symbol>ECPG_CONVERT_BOOL</symbol>)</term>
      <listitem>
       <para>
@@ -4939,6 +5007,18 @@ struct
     </varlistentry>
 
     <varlistentry>
+     <term>-216 (<symbol>ECPG_ARRAY_INSERT</symbol>)</term>
+     <listitem>
+      <para>
+       The value could not be inserted into the array.(This is
+       disabled by <literal>#if 0</literal> in
+       <command>ecpg</command>.)
+       (SQLSTATE 42804)
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
      <term>-220 (<symbol>ECPG_NO_CONN</symbol>)</term>
      <listitem>
       <para>
@@ -4969,6 +5049,18 @@ struct
     </varlistentry>
 
     <varlistentry>
+     <term>-239 (<symbol>ECPG_INFORMIX_DUPLICATE_KEY</symbol>)</term>
+     <listitem>
+      <para>
+       Duplicate key error, and a violation for the unique
+       constraint (Informix compatible mode).
+       (SQLSTATE 23505)
+       
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
      <term>-240 (<symbol>ECPG_UNKNOWN_DESCRIPTOR</symbol>)</term>
      <listitem>
       <para>
@@ -5021,6 +5113,16 @@ struct
     </varlistentry>
 
     <varlistentry>
+     <term>-284 (<symbol>ECPG_INFORMIX_SUBSELECT_NOT_ONE</symbol>)</term>
+     <listitem>
+      <para>
+       A result of the subquery is not single row (Informix compatibie mode).
+       (SQLSTATE 21000)
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
      <term>-400 (<symbol>ECPG_PGSQL</symbol>)</term>
      <listitem>
       <para>
@@ -5053,15 +5155,80 @@ struct
     </varlistentry>
 
     <varlistentry>
-     <term>100 (<symbol>ECPG_NOT_FOUND</symbol>)</term>
+     <term>-403 (<symbol>ECPG_DUPLICATE_KEY</symbol>)</term>
      <listitem>
       <para>
-       This is a harmless condition indicating that the last command
-       retrieved or processed zero rows, or that you are at the end of
-       the cursor.  (SQLSTATE 02000)
+       Duplicate key error, and a violation for the unique
+       constraint.
+       (SQLSTATE 23505)
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term>-404 (<symbol>ECPG_SUBSELECT_NOT_ONE</symbol>)</term>
+     <listitem>
+      <para>
+       A result for the subquery is not single row. (SQLSTATE 21000)
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term>-600 (<symbol>ECPG_WARNING_UNRECOGNIZED</symbol>)</term>
+     <listitem>
+      <para>
+       A query is ignored by the END.
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term>-601 (<symbol>ECPG_WARNING_QUERY_IGNORED</symbol>)</term>
+     <listitem>
+      <para>
+       Current transaction is aborted. Query is ignored by end of the
+       transaction block.
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term>-602 (<symbol>ECPG_WARNING_UNKNOWN_PORTAL</symbol>)</term>
+     <listitem>
+      <para>
+       Invalid cursor name is given. (SQLSTATE 34000)
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term>-603 (<symbol>ECPG_WARNING_IN_TRANSACTION</symbol>)</term>
+     <listitem>
+      <para>
+       Transaction is in progress. (SQLSTATE 25001)
+      </para>
+     </listitem>
+    </varlistentry>
+
+    <varlistentry>
+     <term>-604 (<symbol>ECPG_WARNING_NO_TRANSACTION</symbol>)</term>
+     <listitem>
+      <para>
+       There is no active (in-progress) transaction. (SQLSTATE 25P01)
       </para>
      </listitem>
     </varlistentry>
+
+    <varlistentry>
+     <term>-605 (<symbol>ECPG_WARNING_PORTAL_EXISTS</symbol>)</term>
+     <listitem>
+      <para>
+       An existing cursor name is specified. (SQLSTATE 42P03)
+      </para>
+     </listitem>
+    </varlistentry>
+
    </variablelist>
   </para>
   </sect2>
